function getBlockElements(contentDiv) {
  const blockDiv = document.createElement("div");
  const descButton = document.createElement('button');
  descButton.textContent = 'Add Description';
  const imgButton = document.createElement('button');
  imgButton.textContent = 'Add Image';
  const h = document.createElement("H2");
  const input = document.createElement("INPUT");
  input.setAttribute("type", "text");
  const inputButton = document.createElement('button');
  inputButton.textContent = 'Title新增/修改';
  contentDiv.appendChild(blockDiv);
  blockDiv.append(h, input, inputButton, descButton, imgButton);
  return {
    blockDiv: blockDiv,
    h: h,
    titleInput: input,
    inputButton: inputButton,
    descButton: descButton,
    imgButton: imgButton
  };
}

function getdescElements(blockDiv) {
  const descDiv = document.createElement("div");
  const descTextArea = document.createElement("TEXTAREA");
  descTextArea.setAttribute("type", "text");
  const descInputButton = document.createElement('button');
  const removeButton = document.createElement('button');
  descInputButton.textContent = 'Description新增/修改';
  removeButton.textContent = 'Description刪除';
  blockDiv.appendChild(descDiv);
  descDiv.append(descTextArea, descInputButton, removeButton);
  return {
    descTextArea: descTextArea,
    descInputButton: descInputButton,
    descRemoveButton: removeButton,
  };
}

function getImgElements(blockDiv) {
  const div = document.createElement("div");
  const img = document.createElement("img");
  const input = document.createElement("INPUT");
  const widthInput = document.createElement("INPUT");
  const heightInput = document.createElement("INPUT");
  const inputButton = document.createElement('button');
  const removeButton = document.createElement('button');
  input.setAttribute("type", "file");
  input.addEventListener('change', function(event) {
    if (event.target.files[0]) {
      let formData = new FormData();
      formData.append('image', event.target.files[0])
      const uploadImgUrl = `${PORTAL_SERVER}upload/img?url=${(JSON.parse(document.getElementById('url').textContent)).url}`
      axios.post(uploadImgUrl, formData, {
        headers: {
        'Content-Type': 'multipart/form-data'
        }
      })
    }
  });
  inputButton.textContent = 'Image新增/修改';
  removeButton.textContent = 'Image刪除';
  blockDiv.appendChild(div);
  div.append(img, input, widthInput, heightInput, inputButton, removeButton);
  return {
    img: img,
    imgInput: input,
    widthInput: widthInput,
    heightInput: heightInput,
    imgInputButton: inputButton,
    imgRemoveButton: removeButton
  };
}
